﻿using System;
using System.Windows.Forms;
using NetSpell.SpellChecker;

namespace NetspellTestHarness {
    
    public partial class Form1 : Form {

        internal NetSpell.SpellChecker.Spelling SpellChecker;             

        public Form1() {
            InitializeComponent();
        }

        private void btnSpellcheck_Click(object sender, EventArgs e) {            
            SpellChecker.Text = this.textBox1.Text;
            SpellChecker.SpellCheck();
        }

        private void Form1_Load(object sender, EventArgs e) {
            this.StartPosition = FormStartPosition.CenterScreen;
            this.Text = "NetSpell Test Harness";
            SpellChecker = new Spelling();
            this.SpellChecker.MisspelledWord += new Spelling.MisspelledWordEventHandler(SpellChecker_MisspelledWord);
            this.SpellChecker.ReplacedWord += new Spelling.ReplacedWordEventHandler(SpellChecker_ReplacedWord);
            this.SpellChecker.EndOfText += new Spelling.EndOfTextEventHandler(SpellChecker_EndOfText);
            this.SpellChecker.ShowDialog = true;
        }

        void SpellChecker_EndOfText(object sender, EventArgs e) {
            this.textBox1.Text = SpellChecker.Text;
        }

        void SpellChecker_ReplacedWord(object sender, ReplaceWordEventArgs e) {
            
        }

        void SpellChecker_MisspelledWord(object sender, SpellingEventArgs e) {
                    
        }
      
    }
}
